
Figure - Bug #117783
【IOVDEV-25512】【VC1】【0076】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】左键回
到DOCK栏时，焦点有重影显示
2023-05-06 16:04 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-06

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控：03.02.0076.C101��副屏：94 userdebug

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305150054

Reproducibility: Frequently Fixed Version: 2023-05-09

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、车机已上电，网络正常

2、车辆处于测试环境

【操作手顺】

1、进入副屏遥控器应用，进入按键页面，点击左键

2、副屏焦点移动到副屏DOCK栏，观察焦点移动时的显示

【实际结果】

2、移动时会出现重影显示

【期望结果】

2、移动时不会出现重影显示

【复归方法】无

【复现率】5/5

测试时间：20230504 13：09

副屏版本：94 usedebug版本

副屏和主屏的日志请见附件，测试视频请见附件

History

#1 - 2023-05-06 18:11 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW-程天颖

#2 - 2023-05-06 18:11 - CD TPM-王祥林

- Category set to CD-FW

#3 - 2023-05-06 18:26 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-程天颖 to CD APP-王营

Hi 王营

桌面的遥控器适配
看着像是移动过程的一个动画

#4 - 2023-05-08 09:52 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#5 - 2023-05-08 15:20 - CD APP-王宏

- % Done changed from 0 to 50

- Root cause set to 编码问题

■ Current conclusion

已提交

■ My analysis

进入Hotseat中时，会伴随原生的动画，但是hotseat带有不透明的背景，遮挡住了动画，且我们对hotseat的焦点有新的绘制逻辑，

所以导致了动画过程不是很合理。

解决方案：屏蔽掉在hotseat中的动画（包含进入hotseat的过程）

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/198199

#6 - 2023-05-08 17:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198199 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Solve the focus ghosting problem1.Remove movement animation when in hotseatTC-RID: 0301-0205303IssueID: TS-R-BUG-117783Change-Id:

I61cc19f19018b3f3ed33a379f1c681cadae54261

#7 - 2023-05-08 17:03 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-09

#8 - 2023-05-15 14:15 - CD TEST-方永红

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305150054

5.15

15日DB验证通过

#9 - 2023-05-17 11:42 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#10 - 2023-05-17 11:43 - CDTS_Test 吴诗雨
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/198199


- Status changed from VERIFIED to CLOSED

Files

13-09.mp4 2.48 MB 2023-05-06 CDTS_Test 吴诗雨

副屏.7z 222 KB 2023-05-06 CDTS_Test 吴诗雨

主屏-13-09.7z 1.5 MB 2023-05-06 CDTS_Test 吴诗雨
